# $Revision: 1.31 $, $Date: 2007-12-17 07:29:33 $
Summary:	Yodl: Yet oneOther Document Language
Summary(pl.UTF-8):	Yodl: Jeszcze jeden język opisu dokumentów
Name:		yodl
Version:	1.31.18
Release:	7
License:	GPL
Group:		Applications/Text
Source0:	ftp://ftp.lilypond.org/pub/yodl/development/%{name}-%{version}.tar.gz
# Source0-md5:	247c5bf178baeb1f0b96511323f30a61
URL:		http://www.xs4all.nl/~jantien/yodl/
BuildRequires:	bash
BuildRequires:	python
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	_udatadir	%{_datadir}/%{name}

%description
Yodl is a package that implements a pre-document language and tools to
process it. The idea of Yodl is that you write up a document in a
pre-language, then use the tools (e.g. yodl2html) to convert it to
some final document language. Current converters are for HTML, ms,
man, LaTeX SGML and texinfo, plus a poor-man's text converter. Main
document types are "article", "report", "book" and "manpage". The Yodl
document language is designed to be easy to use and extensible.

%description -l pl.UTF-8
Yodl to pakiet z implementacją języka pre-dokumentu i narzędzi do jego
przetwarzania. Idea Yodla jest taka, że pisze się dokument w
pre-języku, następnie używa narzędzi (np. yodl2html) by
przekonwertować go do jakiegoś docelowego języka dokumentu. Aktualnie
yodl zawiera konwertery do: HTML, ms, man, LaTeX, SGML i texinfo, oraz
text. Główne typy dokumentów to "artykuł", "raport", "książka" i
"strona podręcznika man". Język Yodl był projektowany tak, by być
łatwy w użyciu i rozszerzalny.

%prep
%setup -q

%build
ac_cv_prog_BASH=/bin/bash; export ac_cv_prog_BASH
%configure2_13 \
	--datadir=%{_udatadir}
%{__make} all

%install
rm -rf $RPM_BUILD_ROOT
%{__make} -C Documentation info || true
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	infodir=$RPM_BUILD_ROOT%{_infodir} \
	datadir=$RPM_BUILD_ROOT%{_udatadir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ANNOUNCE.txt AUTHORS.txt PATCHES.txt README.txt CHANGES TODO
%doc ANNOUNCE-1.22 ChangeLog-1.22
# verbatim include of Documentation: list the directory without issuing a %dir
%doc Documentation
%attr(755,root,root) %{_bindir}/*
%{_datadir}/yodl

%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yodl.spec,v $
Revision 1.31  2007-12-17 07:29:33  arekm
- rel 7; pass correct datadir to configure, too

Revision 1.30  2007-12-10 21:44:40  arekm
- rel 6; fix path to yodl data files

Revision 1.29  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.28  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.27  2004/04/26 19:34:34  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.26  2003/08/26 23:19:18  gotar
- no // in paths, sort, white space cleaning

Revision 1.25  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2002/11/29 23:35:20  ankry
- new %%doc

Revision 1.22  2002/04/24 22:07:53  marcus
- rel.4.

Revision 1.21  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/12/24 11:46:15  qboosh
- pl description

Revision 1.17  2001/09/17 10:56:10  blues
- release 3
- configure2_13 used

Revision 1.16  2001/06/25 06:37:40  kloczek
- release 2,
- spec adapterized.

Revision 1.15  2000/11/12 20:11:56  kloczek
- modyfications for using neew rpm automation.

Revision 1.14  2000/09/02 12:35:44  misiek
- BuildRequires: python

Revision 1.13  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.11  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.10  1999/11/24 04:55:32  kloczek
- updated to 1.31.18.

Revision 1.9  1999/07/30 22:57:23  kloczek
- updated to 1.31.15.

Revision 1.8  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.7  1999/07/20 10:38:24  kloczek
- update to 1.31.14.

Revision 1.6  1999/07/12 23:06:29  kloczek
- added using CVS keywords in %changelog (for automating them).

* Fri Jun 25 1999 Tomasz Kłoczko <kloczek@rudy.mif.pg.gda.pl>
  [1.31.13-1]
- Prereq: bash changed to BuildPrereq: bash,
- changed Group to Utilities/Text and added Group(pl).

* Thu Jun 24 1999 Jan Rękorajski <baggins@pld.org.pl>
  [1.31.0-1]
- spec for PLD
